| GET | /RestApi/search/scoring-settings |
|---|
import Foundation
import ServiceStack
public class SearchScoringRequest : Codable
{
public var searchIndexPipeId:String
required public init(){}
}
public class SearchScoringResponse : Codable
{
public var scoringSettingsNames:[String] = []
required public init(){}
}
Swift SearchScoringRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/search/scoring-settings HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<SearchScoringResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Search.Impl.Services.DTO">
<ScoringSettingsNames xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>String</d2p1:string>
</ScoringSettingsNames>
</SearchScoringResponse>